### Function

# FwupdPlugin IoctlFixupFunc

#### Declaration

    gboolean
    (* FuIoctlFixupFunc) (
      FuIoctl* self,
      gpointer ptr,
      guint8* buf,
      gsize bufsz,
      GError** error
    )

#### Description

No description available.

#### Parameters

`self` | `FuIoctl`
| No description available.
| The data is owned by the caller of the function.
`ptr` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`buf` | `guint8*`
| No description available.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| No description available.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.